{% for language in shop.metafields.languages %}
    {% assign key = language | first %}
    {% assign value = language | last %}
    {% if key != "default" %}
        {% assign language_id = key | split: 'ly' | last %}
        {% assign img = 'ly-icon-' | append: language_id | append:'.png' %}

        {% assign selectedLanguage = cart.attributes["language"] %}
        {% if selectedLanguage == nil %}
            {% assign selectedLanguage = shop.metafields["languages"]["default"] %}
        {% endif %}

        {% if selectedLanguage == key %}{% continue %}{% endif %}
        {% if value == 'English' %}
            {% assign value = 'En' %}
        {% else %}
            {% assign value = 'Fr' %}
        {% endif %}

        <a href="#" id="{{ key }}" class="ly-languages-switcher-link menu-link" style="">{{ value }}&nbsp; &darr;</a>
    {% endif %}
{% endfor %}